/// AUTO GENERATED BY build.rs

use std::collections::HashMap;

use webrender_build::shader::ShaderVersion;

pub struct SourceWithDigest {
    pub source: &'static str,
    pub digest: &'static str,
}

pub struct OptimizedSourceWithDigest {
    pub vert_source: &'static str,
    pub frag_source: &'static str,
    pub digest: &'static str,
}

lazy_static! {
  pub static ref UNOPTIMIZED_SHADERS: HashMap<&'static str, SourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert("base", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/base.glsl"), digest: "d5ae695bab268b7d"});
    shaders.insert("blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/blend.glsl"), digest: "c24d37103d7732b9"});
    shaders.insert("brush", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/brush.glsl"), digest: "29d6bdde8d393857"});
    shaders.insert("brush_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/brush_blend.glsl"), digest: "5d9556b18d340b14"});
    shaders.insert("brush_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/brush_image.glsl"), digest: "b3f069f938bf7b3b"});
    shaders.insert("brush_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/brush_linear_gradient.glsl"), digest: "fee0c2a0d2ab91c3"});
    shaders.insert("brush_mix_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/brush_mix_blend.glsl"), digest: "5586bcc0d1e9af72"});
    shaders.insert("brush_opacity", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/brush_opacity.glsl"), digest: "54a84d6f76fbf3d9"});
    shaders.insert("brush_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/brush_solid.glsl"), digest: "7724e77c7d948305"});
    shaders.insert("brush_yuv_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/brush_yuv_image.glsl"), digest: "557b9e7e2d20b5fe"});
    shaders.insert("clip_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/clip_shared.glsl"), digest: "47253a642bd1ef3"});
    shaders.insert("composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/composite.glsl"), digest: "1a2ed20469182b77"});
    shaders.insert("cs_blur", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_blur.glsl"), digest: "ef3b0850d5d41cda"});
    shaders.insert("cs_border_segment", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_border_segment.glsl"), digest: "67182a4daa9dfd1a"});
    shaders.insert("cs_border_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_border_solid.glsl"), digest: "8eec8b244a7b0441"});
    shaders.insert("cs_clip_box_shadow", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_clip_box_shadow.glsl"), digest: "ab7ac3858d981ecf"});
    shaders.insert("cs_clip_rectangle", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_clip_rectangle.glsl"), digest: "2841e9f7f2f8e150"});
    shaders.insert("cs_conic_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_conic_gradient.glsl"), digest: "6e3f6a57aceeac56"});
    shaders.insert("cs_fast_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_fast_linear_gradient.glsl"), digest: "58757d6d96ea73e6"});
    shaders.insert("cs_line_decoration", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_line_decoration.glsl"), digest: "8a7a1294360f332"});
    shaders.insert("cs_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_linear_gradient.glsl"), digest: "d3b0ef30bd05ba29"});
    shaders.insert("cs_radial_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_radial_gradient.glsl"), digest: "f714f55305ff72d5"});
    shaders.insert("cs_scale", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_scale.glsl"), digest: "d5d34e142dc5e171"});
    shaders.insert("cs_svg_filter", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_svg_filter.glsl"), digest: "b3100cd21140a7de"});
    shaders.insert("cs_svg_filter_node", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/cs_svg_filter_node.glsl"), digest: "a990c7506769513c"});
    shaders.insert("debug_color", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/debug_color.glsl"), digest: "c03785c16663e0ed"});
    shaders.insert("debug_font", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/debug_font.glsl"), digest: "ffab98833d7ba61a"});
    shaders.insert("ellipse", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/ellipse.glsl"), digest: "951dc637533b8416"});
    shaders.insert("gpu_buffer", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/gpu_buffer.glsl"), digest: "6365022e501b5e7d"});
    shaders.insert("gpu_cache", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/gpu_cache.glsl"), digest: "e99b57d9cc26406a"});
    shaders.insert("gpu_cache_update", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/gpu_cache_update.glsl"), digest: "4ad2e4e46e03b7c2"});
    shaders.insert("gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/gradient.glsl"), digest: "2d9033ceb6cf02c9"});
    shaders.insert("gradient_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/gradient_shared.glsl"), digest: "598c182b2045ad07"});
    shaders.insert("prim_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/prim_shared.glsl"), digest: "6fd009edb6ed909c"});
    shaders.insert("ps_clear", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/ps_clear.glsl"), digest: "bbed782e9f7eaccd"});
    shaders.insert("ps_copy", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/ps_copy.glsl"), digest: "f0e76514309bd9fa"});
    shaders.insert("ps_quad", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/ps_quad.glsl"), digest: "31296f68bfe91893"});
    shaders.insert("ps_quad_conic_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/ps_quad_conic_gradient.glsl"), digest: "b1f5d82b08856ddb"});
    shaders.insert("ps_quad_mask", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/ps_quad_mask.glsl"), digest: "6f1eaeb3385cdd0d"});
    shaders.insert("ps_quad_radial_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/ps_quad_radial_gradient.glsl"), digest: "a13d6e645a88149d"});
    shaders.insert("ps_quad_textured", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/ps_quad_textured.glsl"), digest: "8e4e87beeedc594a"});
    shaders.insert("ps_split_composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/ps_split_composite.glsl"), digest: "699e7b492d85feba"});
    shaders.insert("ps_text_run", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/ps_text_run.glsl"), digest: "57b5f6d0fe27fda6"});
    shaders.insert("rect", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/rect.glsl"), digest: "fc8ccaeee104d458"});
    shaders.insert("render_task", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/render_task.glsl"), digest: "e63b52526d4047fd"});
    shaders.insert("sample_color0", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/sample_color0.glsl"), digest: "7090b32ad0b86b44"});
    shaders.insert("shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/shared.glsl"), digest: "603e2f934c0376d"});
    shaders.insert("shared_other", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/shared_other.glsl"), digest: "9f6298a27dfe79c6"});
    shaders.insert("transform", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/transform.glsl"), digest: "19d18cb3634fb3d7"});
    shaders.insert("yuv", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-128.7.0/gfx/wr/webrender/res/yuv.glsl"), digest: "4092e8c8b83ec97d"});
    shaders
  };

  pub static ref OPTIMIZED_SHADERS: HashMap<(ShaderVersion, &'static str), OptimizedSourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert((ShaderVersion::Gl, "brush_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_blend_Gl.frag"),
        digest: "b345368f881bd74",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_blend_ALPHA_PASS_Gl.frag"),
        digest: "41070540e5dc3364",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "69c08c232544f0b4",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "dca06bd9303c74a5",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "ec8c060bdb49c5f6",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "7ba2b7c66c65820f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "6fbe71a880096676",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "622c9040306225d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "f79baad6ea650239",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "15b65307ff8d3e27",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "318a5cdf3bf27a79",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "8f6811b1f8d9be44",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.frag"),
        digest: "e6e2f54c66ae8616",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "526b0514334f74a8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "8cc430b8daa683fd",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "a6e51d82485fbdf7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "beafa0b0e824bbbb",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "92517b0b263011b4",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "12f9fdca1c1364f1",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "f8c8aa0de8287c3b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.frag"),
        digest: "a5ae849226494d49",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_TEXTURE_2D_Gl.frag"),
        digest: "891aa8cd29ea6376",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_image_TEXTURE_RECT_Gl.frag"),
        digest: "561584bbf6cb1e14",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_linear_gradient_Gl.frag"),
        digest: "4d23702269348d32",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_linear_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_linear_gradient_ALPHA_PASS_Gl.frag"),
        digest: "e5f08b12f64ceef3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "5004b1540efe3fe9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_mix_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_mix_blend_Gl.frag"),
        digest: "cf44a7aabb071a64",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_mix_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_mix_blend_ALPHA_PASS_Gl.frag"),
        digest: "46074fb69b8c0f9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "898c2725b2375c55",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_opacity_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_opacity_Gl.frag"),
        digest: "788e620c5ff6bea0",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_opacity_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_opacity_ALPHA_PASS_Gl.frag"),
        digest: "188ffbff87e21358",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.frag"),
        digest: "e1efcf3aec569a49",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_opacity_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_opacity_ANTIALIASING_Gl.frag"),
        digest: "507b85d10dab89fa",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.frag"),
        digest: "7357e65ab3740854",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_opacity_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_opacity_DEBUG_OVERDRAW_Gl.frag"),
        digest: "f2774686e78f3f30",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_solid_Gl.frag"),
        digest: "b0497ce257b3a069",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_solid_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_solid_ALPHA_PASS_Gl.frag"),
        digest: "ddf425b0b2fe2991",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_solid_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_solid_DEBUG_OVERDRAW_Gl.frag"),
        digest: "5908167cc8282afb",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.frag"),
        digest: "a585d46920b2ed08",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "7d74a57d794063a0",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.frag"),
        digest: "e21532b6b715451f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "2209da291c002c20",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.frag"),
        digest: "83b07b1dca9b5c78",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "31035420b9b7d4c8",
    });
    shaders.insert((ShaderVersion::Gl, "composite_FAST_PATH_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/composite_FAST_PATH_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/composite_FAST_PATH_TEXTURE_2D_Gl.frag"),
        digest: "1c18bd1d21aab4c8",
    });
    shaders.insert((ShaderVersion::Gl, "composite_FAST_PATH_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/composite_FAST_PATH_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/composite_FAST_PATH_TEXTURE_RECT_Gl.frag"),
        digest: "9b2aaced4f63da7a",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/composite_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/composite_TEXTURE_2D_Gl.frag"),
        digest: "e12c4145043ad100",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/composite_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/composite_TEXTURE_2D_YUV_Gl.frag"),
        digest: "1ebbe74f70e7deb6",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/composite_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/composite_TEXTURE_RECT_Gl.frag"),
        digest: "c3e507fffcb6955c",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/composite_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/composite_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "9db68b391b05d487",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_ALPHA_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_blur_ALPHA_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_blur_ALPHA_TARGET_Gl.frag"),
        digest: "e1ee6b18274ebea4",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_COLOR_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_blur_COLOR_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_blur_COLOR_TARGET_Gl.frag"),
        digest: "44b296e917f5ffe0",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_segment"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_border_segment_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_border_segment_Gl.frag"),
        digest: "8495134f5ed37bf5",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_border_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_border_solid_Gl.frag"),
        digest: "9fd688a8c266d2da",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_box_shadow_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_clip_box_shadow_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_clip_box_shadow_TEXTURE_2D_Gl.frag"),
        digest: "9f76c2a874c97310",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_clip_rectangle_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_clip_rectangle_Gl.frag"),
        digest: "cabc2ef7edf7bd12",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle_FAST_PATH"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_clip_rectangle_FAST_PATH_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_clip_rectangle_FAST_PATH_Gl.frag"),
        digest: "2504a7e464e09644",
    });
    shaders.insert((ShaderVersion::Gl, "cs_conic_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_conic_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_conic_gradient_Gl.frag"),
        digest: "62367e600dc704f2",
    });
    shaders.insert((ShaderVersion::Gl, "cs_fast_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_fast_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_fast_linear_gradient_Gl.frag"),
        digest: "3d4ec20a2b40f905",
    });
    shaders.insert((ShaderVersion::Gl, "cs_line_decoration"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_line_decoration_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_line_decoration_Gl.frag"),
        digest: "7943c68da0973c69",
    });
    shaders.insert((ShaderVersion::Gl, "cs_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_linear_gradient_Gl.frag"),
        digest: "efc10ff6f6cc1952",
    });
    shaders.insert((ShaderVersion::Gl, "cs_radial_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_radial_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_radial_gradient_Gl.frag"),
        digest: "7336dc777aa9329c",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_scale_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_scale_TEXTURE_2D_Gl.frag"),
        digest: "d30639d4f078578d",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_scale_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_scale_TEXTURE_RECT_Gl.frag"),
        digest: "29422e04bd4ba508",
    });
    shaders.insert((ShaderVersion::Gl, "cs_svg_filter"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_svg_filter_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_svg_filter_Gl.frag"),
        digest: "aca9420acaec4776",
    });
    shaders.insert((ShaderVersion::Gl, "cs_svg_filter_node"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_svg_filter_node_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/cs_svg_filter_node_Gl.frag"),
        digest: "93aa698dfa0c7930",
    });
    shaders.insert((ShaderVersion::Gl, "debug_color"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/debug_color_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/debug_color_Gl.frag"),
        digest: "f458fe7ea40bd77e",
    });
    shaders.insert((ShaderVersion::Gl, "debug_font"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/debug_font_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/debug_font_Gl.frag"),
        digest: "503ec56c19b6bd2c",
    });
    shaders.insert((ShaderVersion::Gl, "ps_clear"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_clear_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_clear_Gl.frag"),
        digest: "9ef2acc3bbd621e8",
    });
    shaders.insert((ShaderVersion::Gl, "ps_copy"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_copy_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_copy_Gl.frag"),
        digest: "514726576460ee72",
    });
    shaders.insert((ShaderVersion::Gl, "ps_quad_conic_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_quad_conic_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_quad_conic_gradient_Gl.frag"),
        digest: "285cbce77f8cd587",
    });
    shaders.insert((ShaderVersion::Gl, "ps_quad_mask"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_quad_mask_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_quad_mask_Gl.frag"),
        digest: "7b6810f3d43f9226",
    });
    shaders.insert((ShaderVersion::Gl, "ps_quad_mask_FAST_PATH"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_quad_mask_FAST_PATH_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_quad_mask_FAST_PATH_Gl.frag"),
        digest: "ba1e8aa63a8eae21",
    });
    shaders.insert((ShaderVersion::Gl, "ps_quad_radial_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_quad_radial_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_quad_radial_gradient_Gl.frag"),
        digest: "82ba0a69022d1471",
    });
    shaders.insert((ShaderVersion::Gl, "ps_quad_textured"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_quad_textured_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_quad_textured_Gl.frag"),
        digest: "3bafdff815de2c91",
    });
    shaders.insert((ShaderVersion::Gl, "ps_split_composite"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_split_composite_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_split_composite_Gl.frag"),
        digest: "27bd711c7db419b7",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "eb5ca8b99ce6235b",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "d955a1edf5473a6c",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "b8f8566478811481",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "dc32699d7dc45ed8",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "8a12662afced9b0f",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-128.7.0/objdir/x86_64-unknown-linux-gnu/release/build/webrender-ff83594051bf7b07/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "5bc021f417f4e04a",
    });
    shaders
  };
}
